# This macro is needed at the start for building on EL6
%{?nodejs_find_provides_and_requires}

%global enable_tests 0
%global prerelease dev
%global dangler -harmony
%global barename esprima-harmony-jscs

Name:               nodejs-esprima-harmony-jscs
Version:            1.1.0
Release:            0.1.%{prerelease}%{?dist}
Summary:            ECMAScript parsing infrastructure for multipurpose analysis

Group:              Development/Libraries
License:            BSD
URL:                https://www.npmjs.org/package/esprima-harmony-jscs
Source0:            http://registry.npmjs.org/esprima-harmony-jscs/-/esprima-harmony-jscs-1.1.0-%{prerelease}%{dangler}.tgz
BuildArch:          noarch
%if 0%{?fedora} >= 19
ExclusiveArch:      %{nodejs_arches} noarch
%else
ExclusiveArch:      %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:      nodejs-packaging >= 6

%if 0%{?enable_tests}
BuildRequires:      npm(jslint)
BuildRequires:      npm(unicode-6.3.0)
BuildRequires:      npm(istanbul)
BuildRequires:      npm(regenerate)
BuildRequires:      npm(complexity-report)
BuildRequires:      npm(json-diff)
BuildRequires:      npm(eslint)
%endif


%description
Esprima is a high performance, standard-compliant ECMAScript parser written in
ECMAScript (also popularly known as JavaScript). Esprima is created and
maintained by Ariya Hidayat with the help of many contributors.

%prep
%setup -q -n package

# Remove bundled node_modules if there are any..
rm -rf node_modules/

%nodejs_fixdep --caret

%build
%nodejs_symlink_deps --build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/esprima-harmony-jscs
cp -pr package.json esprima.js \
    %{buildroot}%{nodejs_sitelib}/esprima-harmony-jscs

mkdir -p %{buildroot}/%{_bindir}/
cp -pr bin/esparse.js %{buildroot}/%{_bindir}/esparse
cp -pr bin/esvalidate.js %{buildroot}/%{_bindir}/esvalidate

%nodejs_symlink_deps

%check
%if 0%{?enable_tests}
%nodejs_symlink_deps --check
npm run-script lint && node test/run.js && npm run-script coverage && npm run-script complexity
%endif


%files
%doc README.md
%{nodejs_sitelib}/esprima-harmony-jscs/
%{_bindir}/esparse
%{_bindir}/esvalidate

%changelog
* Tue Dec 02 2014 Ralph Bean <rbean@redhat.com> - 1.1.0-0.1.dev
- Initial packaging for Fedora.
